---
navigation_title: "Functions and operators"
mapped_pages:
  - https://www.elastic.co/guide/en/elasticsearch/reference/current/esql-functions-operators.html
---

# {{esql}} functions and operators [esql-functions-operators]


{{esql}} provides a comprehensive set of functions and operators for working with data. The reference documentation is divided into the following categories:

## Functions overview [esql-functions]

::::{dropdown} Aggregate functions
:open:
:::{include} _snippets/lists/aggregation-functions.md
:::
::::

::::{dropdown} Grouping functions
:open:
:::{include} _snippets/lists/grouping-functions.md
:::
::::

::::{dropdown} Conditional functions and expressions
:open:
:::{include} _snippets/lists/conditional-functions-and-expressions.md
:::
::::

::::{dropdown} Date and time functions
:open:
:::{include} _snippets/lists/date-time-functions.md
:::
::::

::::{dropdown} IP functions
:open:
:::{include} _snippets/lists/ip-functions.md
:::
::::

::::{dropdown} Math functions
:open:
:::{include} _snippets/lists/math-functions.md
:::
::::

::::{dropdown} Search functions
:open:
:::{include} _snippets/lists/search-functions.md
:::
::::

::::{dropdown} Spatial functions
:open:
:::{include} _snippets/lists/spatial-functions.md
:::
::::

::::{dropdown} String functions
:open:
:::{include} _snippets/lists/string-functions.md
:::
::::

::::{dropdown} Type conversion functions
:open:
:::{include} _snippets/lists/type-conversion-functions.md
:::
::::

::::{dropdown} Multi value functions
:open:
:::{include} _snippets/lists/mv-functions.md
:::
::::


## Operators overview [esql-operators-overview]

::::{dropdown} Operators
:open:
:::{include} _snippets/lists/operators.md
:::
::::
